cURL
curl --request GET \
--url https://webhook.cocoonmail.com/webhook/lists \
--header 'Authorization: Bearer <token>'import requests
url = "https://webhook.cocoonmail.com/webhook/lists"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://webhook.cocoonmail.com/webhook/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
using RestSharp;
var options = new RestClientOptions("https://webhook.cocoonmail.com/webhook/lists");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);using RestSharp;
var options = new RestClientOptions("https://webhook.cocoonmail.com/webhook/lists");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);{"data":
[{
"uuid":"fb942f8a-b2f5-42bb-bc5e-c794a1385a9e",
"name":"List1",
"is_public":true
}]
}
{
"message": "Bad request"
}
{
"detail": "Authentication credentials were not provided."
}
Mailing list
List mailings
Get all mailings list in a workspace
GET
/
webhook
/
lists
cURL
lists
Use this endpoint to get mailing lists.Response fields
| Property | Description |
|---|---|
| 400 | Bad request |
| 401 | Request authentication |
| 403 | Too many bad requests. Temparory block |
| 406 | Missing accept header. For example : Accept: application/json |
| 429 | Too many requests/ Rate limit exceeded |
| 500 | Internal server error |
{"data":
[{
"uuid":"fb942f8a-b2f5-42bb-bc5e-c794a1385a9e",
"name":"List1",
"is_public":true
}]
}
{
"message": "Bad request"
}
{
"detail": "Authentication credentials were not provided."
}
Authorizations
Use your API key with the 'Bearer ' prefix
Response
200
List retrieved successfully
⌘I